- Qt 6.8
- Qt Core
- C++ Classes
- QBasicTimer
- Qt 6.8.1 Reference Documentation

# Obsolete Members for QBasicTimer

The following members of class QBasicTimer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | start(int msec, QObject *object)
`(deprecated)` void | start(int msec, Qt::TimerType timerType, QObject *obj)
`(deprecated)` int | timerId() const

## Member Function Documentation

### `[deprecated]` void QBasicTimer::start(int msec, QObject *object)

This function is deprecated. We strongly advise against using it in new code.

Use chrono overload instead.

### `[deprecated]` void QBasicTimer::start(int msec, Qt::TimerType timerType, QObject *obj)

This function is deprecated. We strongly advise against using it in new code.

This is an overloaded function.

Use chrono overload instead.

### `[noexcept, deprecated]` int QBasicTimer::timerId() const

This function is deprecated. We strongly advise against using it in new code.

Returns the timer's ID.

In new code use id() instead.

See also QTimerEvent::timerId().